<?php
/**
 * Class ConvertGetLabel
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\ServicePoint\Convert;

use ILabs\WoocommerceDHL24\Exception\ConvertException;
use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * ConvertGetLabel
 */
class ConvertGetLabel implements ConvertInterface {
	use CastTrait;

	/**
	 * Source object cast.
	 *
	 * @param  \stdClass $sourceObject Source object.
	 * @return ResultInterface
	 * @throws ConvertException If error.
	 */
	public function cast( \stdClass $sourceObject ): ResultInterface {
		try {
			$sourceObject = $sourceObject->getLabelResult;
		} catch ( \Exception $e ) {
			throw new ConvertException( $e, $e->getMessage() );
		}

		return $this->castObject( 'label', $sourceObject );
	}
}
