<?php
/**
 * Class Label
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\ServicePoint\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * Label
 */
class Label implements ResultInterface {

	/**
	 * Label type.
	 *
	 * @var string|null
	 */
	private $labelType;

	/**
	 * MIME label format.
	 *
	 * @var string|null
	 */
	private $labelFormat;

	/**
	 * Label content (encoded in base64).
	 *
	 * @var string|null
	 */
	private $labelContent;

	/**
	 * Label file name.
	 *
	 * @var string|null
	 */
	private $labelName;

	/**
	 * Get label type.
	 *
	 * @return string|null
	 */
	public function getLabelType() {
		return $this->labelType;
	}

	/**
	 * Set label type.
	 *
	 * @param string|null $labelType Label type.
	 *
	 * @return self
	 */
	public function setLabelType( $labelType ) {
		$this->labelType = $labelType;

		return $this;
	}

	/**
	 * Get mIME label format.
	 *
	 * @return string|null
	 */
	public function getLabelFormat() {
		return $this->labelFormat;
	}

	/**
	 * Set mIME label format.
	 *
	 * @param string|null $labelFormat MIME label format.
	 *
	 * @return self
	 */
	public function setLabelFormat( $labelFormat ) {
		$this->labelFormat = $labelFormat;

		return $this;
	}

	/**
	 * Get label content (encoded in base64).
	 *
	 * @return string|null
	 */
	public function getLabelContent() {
		return $this->labelContent;
	}

	/**
	 * Set label content (encoded in base64).
	 *
	 * @param string|null $labelContent Label content (encoded in base64).
	 *
	 * @return self
	 */
	public function setLabelContent( $labelContent ) {
		$this->labelContent = $labelContent;

		return $this;
	}

	/**
	 * Get label file name.
	 *
	 * @return  string|null
	 */
	public function getLabelName() {
		return $this->labelName;
	}

	/**
	 * Set label file name.
	 *
	 * @param  string|null $labelName  Label file name.
	 *
	 * @return  self
	 */
	public function setLabelName( $labelName ) {
		$this->labelName = $labelName;

		return $this;
	}
}
