<?php
/**
 * Class Pnp
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\ServicePoint\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * Pnp
 */
class Pnp implements ResultInterface {
	/**
	 * File name.
	 *
	 * @var string|null
	 */
	private $fileName;

	/**
	 * File data (base64).
	 *
	 * @var string|null
	 */
	private $fileData;

	/**
	 * File mime type.
	 *
	 * @var string|null
	 */
	private $fileMimeType;

	/**
	 * Get file name.
	 *
	 * @return string|null
	 */
	public function getFileName() {
		return $this->fileName;
	}

	/**
	 * Set file name.
	 *
	 * @param string|null $fileName File name.
	 *
	 * @return self
	 */
	public function setFileName( $fileName ) {
		$this->fileName = $fileName;

		return $this;
	}

	/**
	 * Get file data (base64).
	 *
	 * @return string|null
	 */
	public function getFileData() {
		return $this->fileData;
	}

	/**
	 * Set file data (base64).
	 *
	 * @param string|null $fileData File data (base64).
	 *
	 * @return self
	 */
	public function setFileData( $fileData ) {
		$this->fileData = $fileData;

		return $this;
	}

	/**
	 * Get file mime type.
	 *
	 * @return string|null
	 */
	public function getFileMimeType() {
		return $this->fileMimeType;
	}

	/**
	 * Set file mime type.
	 *
	 * @param string|null $fileMimeType File mime type.
	 *
	 * @return self
	 */
	public function setFileMimeType( $fileMimeType ) {
		$this->fileMimeType = $fileMimeType;

		return $this;
	}
}
