<?php
/**
 * Class Point
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\ServicePoint\Type;

/**
 * Point
 */
class Point {
	/**
	 * SearchAddres.
	 *
	 * @var SearchAddress|null
	 */
	private $address;

	/**
	 * Description.
	 *
	 * @var string|null
	 */
	private $description;

	/**
	 * Longitude.
	 *
	 * @var string|null
	 */
	private $longitude;

	/**
	 * Latitude.
	 *
	 * @var string|null
	 */
	private $latitude;

	/**
	 * Sap.
	 *
	 * @var string|null
	 */
	private $sap;

	/**
	 * Monday open.
	 *
	 * @var string|null
	 */
	private $monOpen;

	/**
	 * Monday close.
	 *
	 * @var string|null
	 */
	private $monClose;

	/**
	 * Tuesday open.
	 *
	 * @var string|null
	 */
	private $tueOpen;

	/**
	 * Tuesday close.
	 *
	 * @var string|null
	 */
	private $tueClose;

	/**
	 * Wednesday open.
	 *
	 * @var string|null
	 */
	private $wedOpen;

	/**
	 * Wednesday close.
	 *
	 * @var string|null
	 */
	private $wedClose;

	/**
	 * Thursday open.
	 *
	 * @var string|null
	 */
	private $thuOpen;

	/**
	 * Thursday close.
	 *
	 * @var string|null
	 */
	private $thuClose;

	/**
	 * Friday open.
	 *
	 * @var string|null
	 */
	private $friOpen;

	/**
	 * Friday close.
	 *
	 * @var string|null
	 */
	private $friClose;

	/**
	 * Saturday open.
	 *
	 * @var string|null
	 */
	private $satOpen;

	/**
	 * Saturday close.
	 *
	 * @var string|null
	 */
	private $satClose;

	/**
	 * Sunday open.
	 *
	 * @var string|null
	 */
	private $sunOpen;

	/**
	 * Sunday close.
	 *
	 * @var string|null
	 */
	private $sunClose;

	/**
	 * Work in holiday.
	 *
	 * @var bool|null
	 */
	private $workInHoliday;

	/**
	 * Name.
	 *
	 * @var string|null
	 */
	private $name;

	/**
	 * Get searchAddres.
	 *
	 * @return SearchAddress|null
	 */
	public function getAddress() {
		return $this->address;
	}

	/**
	 * Set searchAddres.
	 *
	 * @param SearchAddress|null $address SearchAddres.
	 *
	 * @return self
	 */
	public function setAddress( $address ) {
		$this->address = $address;

		return $this;
	}

	/**
	 * Get description.
	 *
	 * @return string|null
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * Set description.
	 *
	 * @param string|null $description Description.
	 *
	 * @return self
	 */
	public function setDescription( $description ) {
		$this->description = $description;

		return $this;
	}

	/**
	 * Get longitude.
	 *
	 * @return string|null
	 */
	public function getLongitude() {
		return $this->longitude;
	}

	/**
	 * Set longitude.
	 *
	 * @param string|null $longitude Longitude.
	 *
	 * @return self
	 */
	public function setLongitude( $longitude ) {
		$this->longitude = $longitude;

		return $this;
	}

	/**
	 * Get latitude.
	 *
	 * @return string|null
	 */
	public function getLatitude() {
		return $this->latitude;
	}

	/**
	 * Set latitude.
	 *
	 * @param string|null $latitude Latitude.
	 *
	 * @return self
	 */
	public function setLatitude( $latitude ) {
		$this->latitude = $latitude;

		return $this;
	}

	/**
	 * Get sap.
	 *
	 * @return string|null
	 */
	public function getSap() {
		return $this->sap;
	}

	/**
	 * Set sap.
	 *
	 * @param string|null $sap Sap.
	 *
	 * @return self
	 */
	public function setSap( $sap ) {
		$this->sap = $sap;

		return $this;
	}

	/**
	 * Get monday open.
	 *
	 * @return string|null
	 */
	public function getMonOpen() {
		return $this->monOpen;
	}

	/**
	 * Set monday open.
	 *
	 * @param string|null $monOpen Monday open.
	 *
	 * @return self
	 */
	public function setMonOpen( $monOpen ) {
		$this->monOpen = $monOpen;

		return $this;
	}

	/**
	 * Get monday close.
	 *
	 * @return string|null
	 */
	public function getMonClose() {
		return $this->monClose;
	}

	/**
	 * Set monday close.
	 *
	 * @param string|null $monClose Monday close.
	 *
	 * @return self
	 */
	public function setMonClose( $monClose ) {
		$this->monClose = $monClose;

		return $this;
	}

	/**
	 * Get tuesday open.
	 *
	 * @return string|null
	 */
	public function getTueOpen() {
		return $this->tueOpen;
	}

	/**
	 * Set tuesday open.
	 *
	 * @param string|null $tueOpen Tuesday open.
	 *
	 * @return self
	 */
	public function setTueOpen( $tueOpen ) {
		$this->tueOpen = $tueOpen;

		return $this;
	}

	/**
	 * Get tuesday close.
	 *
	 * @return string|null
	 */
	public function getTueClose() {
		return $this->tueClose;
	}

	/**
	 * Set tuesday close.
	 *
	 * @param string|null $tueClose Tuesday close.
	 *
	 * @return self
	 */
	public function setTueClose( $tueClose ) {
		$this->tueClose = $tueClose;

		return $this;
	}

	/**
	 * Get wednesday open.
	 *
	 * @return string|null
	 */
	public function getWedOpen() {
		return $this->wedOpen;
	}

	/**
	 * Set wednesday open.
	 *
	 * @param string|null $wedOpen Wednesday open.
	 *
	 * @return self
	 */
	public function setWedOpen( $wedOpen ) {
		$this->wedOpen = $wedOpen;

		return $this;
	}

	/**
	 * Get wednesday close.
	 *
	 * @return string|null
	 */
	public function getWedClose() {
		return $this->wedClose;
	}

	/**
	 * Set wednesday close.
	 *
	 * @param string|null $wedClose Wednesday close.
	 *
	 * @return self
	 */
	public function setWedClose( $wedClose ) {
		$this->wedClose = $wedClose;

		return $this;
	}

	/**
	 * Get thursday open.
	 *
	 * @return string|null
	 */
	public function getThuOpen() {
		return $this->thuOpen;
	}

	/**
	 * Set thursday open.
	 *
	 * @param string|null $thuOpen Thursday open.
	 *
	 * @return self
	 */
	public function setThuOpen( $thuOpen ) {
		$this->thuOpen = $thuOpen;

		return $this;
	}

	/**
	 * Get thursday close.
	 *
	 * @return string|null
	 */
	public function getThuClose() {
		return $this->thuClose;
	}

	/**
	 * Set thursday close.
	 *
	 * @param string|null $thuClose Thursday close.
	 *
	 * @return self
	 */
	public function setThuClose( $thuClose ) {
		$this->thuClose = $thuClose;

		return $this;
	}

	/**
	 * Get friday open.
	 *
	 * @return string|null
	 */
	public function getFriOpen() {
		return $this->friOpen;
	}

	/**
	 * Set friday open.
	 *
	 * @param string|null $friOpen Friday open.
	 *
	 * @return self
	 */
	public function setFriOpen( $friOpen ) {
		$this->friOpen = $friOpen;

		return $this;
	}

	/**
	 * Get friday close.
	 *
	 * @return string|null
	 */
	public function getFriClose() {
		return $this->friClose;
	}

	/**
	 * Set friday close.
	 *
	 * @param string|null $friClose Friday close.
	 *
	 * @return self
	 */
	public function setFriClose( $friClose ) {
		$this->friClose = $friClose;

		return $this;
	}

	/**
	 * Get saturday open.
	 *
	 * @return string|null
	 */
	public function getSatOpen() {
		return $this->satOpen;
	}

	/**
	 * Set saturday open.
	 *
	 * @param string|null $satOpen Saturday open.
	 *
	 * @return self
	 */
	public function setSatOpen( $satOpen ) {
		$this->satOpen = $satOpen;

		return $this;
	}

	/**
	 * Get saturday close.
	 *
	 * @return string|null
	 */
	public function getSatClose() {
		return $this->satClose;
	}

	/**
	 * Set saturday close.
	 *
	 * @param string|null $satClose Saturday close.
	 *
	 * @return self
	 */
	public function setSatClose( $satClose ) {
		$this->satClose = $satClose;

		return $this;
	}

	/**
	 * Get sunday open.
	 *
	 * @return string|null
	 */
	public function getSunOpen() {
		return $this->sunOpen;
	}

	/**
	 * Set sunday open.
	 *
	 * @param string|null $sunOpen Sunday open.
	 *
	 * @return self
	 */
	public function setSunOpen( $sunOpen ) {
		$this->sunOpen = $sunOpen;

		return $this;
	}

	/**
	 * Get sunday close.
	 *
	 * @return string|null
	 */
	public function getSunClose() {
		return $this->sunClose;
	}

	/**
	 * Set sunday close.
	 *
	 * @param string|null $sunClose Sunday close.
	 *
	 * @return self
	 */
	public function setSunClose( $sunClose ) {
		$this->sunClose = $sunClose;

		return $this;
	}

	/**
	 * Get work in holiday.
	 *
	 * @return bool|null
	 */
	public function getWorkInHoliday() {
		return $this->workInHoliday;
	}

	/**
	 * Set work in holiday.
	 *
	 * @param bool|null $workInHoliday Work in holiday.
	 *
	 * @return self
	 */
	public function setWorkInHoliday( $workInHoliday ) {
		$this->workInHoliday = $workInHoliday;

		return $this;
	}

	/**
	 * Get name.
	 *
	 * @return string|null
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Set name.
	 *
	 * @param string|null $name Name.
	 *
	 * @return self
	 */
	public function setName( $name ) {
		$this->name = $name;

		return $this;
	}
}
