<?php
/**
 * Class SearchAddress
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\ServicePoint\Type;

/**
 * SearchAddress
 */
class SearchAddress {
	/**
	 * Company name or first name and surname.
	 *
	 * @var string|null
	 */
	private $name;

	/**
	 * Postal code, without dash.
	 *
	 * @var string|null
	 */
	private $postcode;

	/**
	 * City name.
	 *
	 * @var string|null
	 */
	private $city;

	/**
	 * Street.
	 *
	 * @var string|null
	 */
	private $street;

	/**
	 * House number.
	 *
	 * @var string|null
	 */
	private $houseNumber;

	/**
	 * Apartment number.
	 *
	 * @var string|null
	 */
	private $apartmentNumber;

	/**
	 * Get company name or first name and surname.
	 *
	 * @return string|null
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Set company name or first name and surname.
	 *
	 * @param string|null $name Name.
	 *
	 * @return self
	 */
	public function setName( $name ) {
		$this->name = $name;

		return $this;
	}

	/**
	 * Get postal code, without dash.
	 *
	 * @return string|null
	 */
	public function getPostcode() {
		return $this->postcode;
	}

	/**
	 * Set postal code, without dash.
	 *
	 * @param string|null $postcode Postcode.
	 *
	 * @return self
	 */
	public function setPostcode( $postcode ) {
		$this->postcode = $postcode;

		return $this;
	}

	/**
	 * Get city name.
	 *
	 * @return string|null
	 */
	public function getCity() {
		return $this->city;
	}

	/**
	 * Set city name.
	 *
	 * @param string|null $city City.
	 *
	 * @return self
	 */
	public function setCity( $city ) {
		$this->city = $city;

		return $this;
	}

	/**
	 * Get street.
	 *
	 * @return string|null
	 */
	public function getStreet() {
		return $this->street;
	}

	/**
	 * Set street.
	 *
	 * @param string|null $street Street.
	 *
	 * @return self
	 */
	public function setStreet( $street ) {
		$this->street = $street;

		return $this;
	}

	/**
	 * Get house number.
	 *
	 * @return string|null
	 */
	public function getHouseNumber() {
		return $this->houseNumber;
	}

	/**
	 * Set house number.
	 *
	 * @param string|null $houseNumber House number.
	 *
	 * @return self
	 */
	public function setHouseNumber( $houseNumber ) {
		$this->houseNumber = $houseNumber;

		return $this;
	}

	/**
	 * Get apartment number.
	 *
	 * @return string|null
	 */
	public function getApartmentNumber() {
		return $this->apartmentNumber;
	}

	/**
	 * Set apartment number.
	 *
	 * @param string|null $apartmentNumber Apartment number.
	 *
	 * @return self
	 */
	public function setApartmentNumber( $apartmentNumber ) {
		$this->apartmentNumber = $apartmentNumber;

		return $this;
	}
}
