<?php
/**
 * Class TerminalPoints
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\ServicePoint\Type;

use ArrayObject;
use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * TerminalPoints
 */
class TerminalPoints implements ResultInterface {
	/**
	 * Array of TerminalPoint.
	 *
	 * @var \ArrayObject|TerminalPoint[]
	 */
	private $points;

	/**
	 * Number of points.
	 *
	 * @var int
	 */
	private $count;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->points = new ArrayObject();
		$this->count  = 0;
	}


	/**
	 * Get array of TerminalPoint.
	 *
	 * @return \ArrayObject|TerminalPoint[]
	 */
	public function getPoints(): ArrayObject {
		return $this->points;
	}

	/**
	 * Add TerminalPoint.
	 *
	 * @param TerminalPoint $point TerminalPoint.
	 *
	 * @return self
	 */
	public function addPoint( TerminalPoint $point ): self {
		$this->points->append( $point );

		return $this;
	}

	/**
	 * Remove TerminalPoint.
	 *
	 * @param TerminalPoint $point TerminalPoint.
	 *
	 * @return self
	 */
	public function removePoint( TerminalPoint $point ): self {
		// TODO.

		return $this;
	}

	/**
	 * Get count
	 *
	 * @return int
	 */
	public function getCount(): int {
		return $this->count;
	}

	/**
	 * Set count
	 *
	 * @param int $count Number of points.
	 *
	 * @return self
	 */
	public function setCount( int $count ): self {
		$this->count = $count;

		return $this;
	}
}
