<?php
/**
 * Trait CastShipmentBasicDataTrait
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Convert;

use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type\ShipmentBasicDatas;

/**
 * CastShipmentBasicDataTrait
 */
trait CastShipmentBasicDataTrait {
	use CastTrait;

	/**
	 * Cast items to ShipmentBasicDatas
	 *
	 * @param array $items Array of item.
	 *
	 * @return ShipmentBasicDatas
	 */
	private function castShipmentBasicDatas( array $items ): ShipmentBasicDatas {
		$shipmentBasicDatas = new ShipmentBasicDatas();
		foreach ( $items as $item ) {
			$shipment = $this->castObject(
				'shipmentBasicData',
				$item,
				array(
					'shipper'  => 'address',
					'receiver' => 'address',
				)
			);
			$shipmentBasicDatas->addShipment( $shipment );
		}
		return $shipmentBasicDatas;
	}
}
