<?php
/**
 * Class ConvertContext
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Convert;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * ConvertContext
 */
class ConvertContext {

	/**
	 * Strategy
	 *
	 * @var ConvertInterface
	 */
	private $strategy;

	/**
	 * Set strategy
	 *
	 * @param ConvertInterface $strategy Strategy.
	 *
	 * @return  self
	 */
	public function setStrategy( ConvertInterface $strategy ): self {
		$this->strategy = $strategy;

		return $this;
	}

	/**
	 * Source object cast.
	 *
	 * @param \stdClass $sourceObject Source object.
	 * @return ResultInterface
	 */
	public function cast( \stdClass $sourceObject ): ResultInterface {
		return $this->strategy->cast( $sourceObject );
	}
}
