<?php
/**
 * Class ConvertCreateShipments
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Convert;

use ILabs\WoocommerceDHL24\Exception\ConvertException;
use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;
use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type\ShipmentBasicDatas;

/**
 * ConvertCreateShipments
 */
class ConvertCreateShipments implements ConvertInterface {
	use CastShipmentBasicDataTrait;

	/**
	 * Source object cast.
	 *
	 * @param \stdClass $sourceObject Source object.
	 * @return ResultInterface
	 * @throws ConvertException If error.
	 */
	public function cast( \stdClass $sourceObject ): ResultInterface {
		try {
			$sourceObject = $sourceObject->createShipmentsResult;
		} catch ( \Exception $e ) {
			throw new ConvertException( $e, $e->getMessage() );
		}

		if ( isset( $sourceObject->item ) ) {
			return $this->castShipmentBasicDatas( $sourceObject->item );
		}

		return new ShipmentBasicDatas();
	}
}
