<?php
/**
 * Class ConvertGetMyShipmentsCount
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Convert;

use ILabs\WoocommerceDHL24\Exception\ConvertException;
use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;
use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type\ShipmentsCount;

/**
 * ConvertGetMyShipmentsCount
 */
class ConvertGetMyShipmentsCount implements ConvertInterface {
	/**
	 * Source object cast.
	 *
	 * @param \stdClass $sourceObject Source object.
	 * @return ResultInterface
	 * @throws ConvertException If error.
	 */
	public function cast( \stdClass $sourceObject ): ResultInterface {
		try {
			$sourceObject = $sourceObject->getMyShipmentsCountResult;
		} catch ( \Exception $e ) {
			throw new ConvertException( $e, $e->getMessage() );
		}
		$shipmentsCount = new ShipmentsCount();
		$shipmentsCount->setShipmentsCount( $sourceObject );
		return $shipmentsCount;
	}
}
