<?php
/**
 * Class ConvertGetShipmentScan
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Convert;

use ILabs\WoocommerceDHL24\Exception\ConvertException;
use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;
use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type\ScanToPrint;

/**
 * ConvertGetShipmentScan
 */
class ConvertGetShipmentScan implements ConvertInterface {
	/**
	 * Source object cast.
	 *
	 * @param \stdClass $sourceObject Source object.
	 * @return ResultInterface
	 * @throws ConvertException If error.
	 */
	public function cast( \stdClass $sourceObject ): ResultInterface {
		try {
			$sourceObject = $sourceObject->getShipmentScanResult;
		} catch ( \Exception $e ) {
			throw new ConvertException( $e, $e->getMessage() );
		}
		$scanToPrint = new ScanToPrint();
		if ( isset( $sourceObject->scanData ) && isset( $sourceObject->scanMimeType ) ) {
			$scanToPrint->setScanData( $sourceObject->scanData );
			$scanToPrint->setScanMimeType( $sourceObject->scanMimeType );
		}

		return $scanToPrint;
	}
}
