<?php
/**
 * Class NearestServicepoints
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ArrayObject;
use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * NearestServicepoints
 */
class NearestServicepoints implements ResultInterface {
	/**
	 * Array of Point.
	 *
	 * @var \ArrayObject|Point[]
	 */
	private $points;

	/**
	 * Number of points.
	 *
	 * @var int
	 */
	private $count;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->points = new ArrayObject();
		$this->count  = 0;
	}


	/**
	 * Get array of Point.
	 *
	 * @return \ArrayObject|Point[]
	 */
	public function getPoints(): ArrayObject {
		return $this->points;
	}

	/**
	 * Add Point.
	 *
	 * @param Point $point Point.
	 *
	 * @return self
	 */
	public function addPoint( Point $point ): self {
		$this->points->append( $point );

		return $this;
	}

	/**
	 * Remove Point.
	 *
	 * @param Point $point Point.
	 *
	 * @return self
	 */
	public function removePoint( Point $point ): self {
		// TODO.

		return $this;
	}

	/**
	 * Get count
	 *
	 * @return int
	 */
	public function getCount(): int {
		return $this->count;
	}

	/**
	 * Set count
	 *
	 * @param int $count Number of points.
	 *
	 * @return self
	 */
	public function setCount( int $count ): self {
		$this->count = $count;

		return $this;
	}
}
