<?php
/**
 * Class Piece
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * Piece
 */
class Piece {
	/**
	 * Package number.
	 *
	 * @var string|null
	 */
	private $packageNumber;

	/**
	 * Product type.
	 *
	 * @var string|null
	 */
	private $productType;

	/**
	 * Real weight.
	 *
	 * @var float|null
	 */
	private $weightReal;

	/**
	 * Volumetric weight.
	 *
	 * @var float|null
	 */
	private $weighVolumetric;

	/**
	 * Width.
	 *
	 * @var int|null
	 */
	private $width;

	/**
	 * Length.
	 *
	 * @var int|null
	 */
	private $length;

	/**
	 * Height.
	 *
	 * @var int|null
	 */
	private $height;

	/**
	 * Get package number.
	 *
	 * @return string|null
	 */
	public function getPackageNumber() {
		return $this->packageNumber;
	}

	/**
	 * Set package number.
	 *
	 * @param string|null $packageNumber Package number.
	 *
	 * @return self
	 */
	public function setPackageNumber( $packageNumber ) {
		$this->packageNumber = $packageNumber;

		return $this;
	}

	/**
	 * Get product type.
	 *
	 * @return string|null
	 */
	public function getProductType() {
		return $this->productType;
	}

	/**
	 * Set product type.
	 *
	 * @param string|null $productType Product type.
	 *
	 * @return self
	 */
	public function setProductType( $productType ) {
		$this->productType = $productType;

		return $this;
	}

	/**
	 * Get real weight.
	 *
	 * @return float|null
	 */
	public function getWeightReal() {
		return $this->weightReal;
	}

	/**
	 * Set real weight.
	 *
	 * @param float|null $weightReal Real weight.
	 *
	 * @return self
	 */
	public function setWeightReal( $weightReal ) {
		$this->weightReal = $weightReal;

		return $this;
	}

	/**
	 * Get volumetric weight.
	 *
	 * @return float|null
	 */
	public function getWeighVolumetric() {
		return $this->weighVolumetric;
	}

	/**
	 * Set volumetric weight.
	 *
	 * @param float|null $weighVolumetric Volumetric weight.
	 *
	 * @return self
	 */
	public function setWeighVolumetric( $weighVolumetric ) {
		$this->weighVolumetric = $weighVolumetric;

		return $this;
	}

	/**
	 * Get width.
	 *
	 * @return int|null
	 */
	public function getWidth() {
		return $this->width;
	}

	/**
	 * Set width.
	 *
	 * @param int|null $width Width.
	 *
	 * @return self
	 */
	public function setWidth( $width ) {
		$this->width = $width;

		return $this;
	}

	/**
	 * Get length.
	 *
	 * @return int|null
	 */
	public function getLength() {
		return $this->length;
	}

	/**
	 * Set length.
	 *
	 * @param int|null $length Length.
	 *
	 * @return self
	 */
	public function setLength( $length ) {
		$this->length = $length;

		return $this;
	}

	/**
	 * Get height.
	 *
	 * @return int|null
	 */
	public function getHeight() {
		return $this->height;
	}

	/**
	 * Set height.
	 *
	 * @param int|null $height Height.
	 *
	 * @return self
	 */
	public function setHeight( $height ) {
		$this->height = $height;

		return $this;
	}
}
