<?php
/**
 * Class PieceShipment
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * PieceShipment
 */
class PieceShipment {
	/**
	 * Shipment number.
	 *
	 * @var int|null
	 */
	private $shipmentNumber;

	/**
	 * Codex number.
	 *
	 * @var string|null
	 */
	private $cedexNumber;

	/**
	 * Piece.
	 *
	 * @var \ArrayObject|Piece[]
	 */
	private $packages;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->packages = new \ArrayObject();
	}

	/**
	 * Get shipment number.
	 *
	 * @return int|null
	 */
	public function getShipmentNumber() {
		return $this->shipmentNumber;
	}

	/**
	 * Set shipment number.
	 *
	 * @param int|null $shipmentNumber Shipment number.
	 *
	 * @return self
	 */
	public function setShipmentNumber( $shipmentNumber ) {
		$this->shipmentNumber = $shipmentNumber;

		return $this;
	}

	/**
	 * Get codex number.
	 *
	 * @return string|null
	 */
	public function getCedexNumber() {
		return $this->cedexNumber;
	}

	/**
	 * Set codex number.
	 *
	 * @param string|null $cedexNumber Codex number.
	 *
	 * @return self
	 */
	public function setCedexNumber( $cedexNumber ) {
		$this->cedexNumber = $cedexNumber;

		return $this;
	}

	/**
	 * Get piece.
	 *
	 * @return \ArrayObject|Piece[]
	 */
	public function getPackages() {
		return $this->packages;
	}

	/**
	 * Add piece.
	 *
	 * @param Piece $piece Piece.
	 *
	 * @return self
	 */
	public function addPackage( Piece $piece ) {
		$this->packages->append( $piece );

		return $this;
	}

	/**
	 * Remove piece.
	 *
	 * @param Piece $piece Piece.
	 *
	 * @return self
	 */
	public function removePackage( Piece $piece ) {
		// TODO.

		return $this;
	}
}
