<?php
/**
 * Class PieceShipments
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * PieceShipments
 */
class PieceShipments implements ResultInterface {
	/**
	 * Array of PieceShipment.
	 *
	 * @var \ArrayObject|PieceShipment[]
	 */
	private $items;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->items = new \ArrayObject();
	}

	/**
	 * Get items.
	 *
	 * @return \ArrayObject|PieceShipment[]
	 */
	public function getItems(): \ArrayObject {
		return $this->items;
	}

	/**
	 * Add Item.
	 *
	 * @param PieceShipment $item Item.
	 *
	 * @return Strings
	 */
	public function addItem( PieceShipment $item ): self {
		$this->items->append( $item );

		return $this;
	}

	/**
	 * Remove Item.
	 *
	 * @param PieceShipment $item Item.
	 *
	 * @return Strings
	 */
	public function removeItem( PieceShipment $item ): self {
		// TODO.

		return $this;
	}
}
