<?php
/**
 * Class PreavisoContact
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * PreavisoContact
 */
class PreavisoContact {
	/**
	 * Name of contact person.
	 *
	 * @var string|null
	 */
	private $personName;

	/**
	 * Phone number (9 digits).
	 *
	 * @var string|null
	 */
	private $phoneNumber;

	/**
	 * E-mail address.
	 *
	 * @var string|null
	 */
	private $emailAddress;

	/**
	 * Return associative array.
	 *
	 * @return array
	 */
	public function toArray(): array {
		return array(
			'personName'   => $this->getPersonName(),
			'phoneNumber'  => $this->getPhoneNumber(),
			'emailAddress' => $this->getEmailAddress(),
		);
	}

	/**
	 * Get name of contact person.
	 *
	 * @return string|null
	 */
	public function getPersonName() {
		return $this->personName;
	}

	/**
	 * Set name of contact person.
	 *
	 * @param string|null $personName Name of contact person.
	 *
	 * @return self
	 */
	public function setPersonName( $personName ) {
		$this->personName = $personName;

		return $this;
	}

	/**
	 * Get phone number (9 digits).
	 *
	 * @return string|null
	 */
	public function getPhoneNumber() {
		return $this->phoneNumber;
	}

	/**
	 * Set phone number (9 digits).
	 *
	 * @param string|null $phoneNumber Phone number (9 digits).
	 *
	 * @return self
	 */
	public function setPhoneNumber( $phoneNumber ) {
		$this->phoneNumber = $phoneNumber;

		return $this;
	}

	/**
	 * Get e-mail address.
	 *
	 * @return string|null
	 */
	public function getEmailAddress() {
		return $this->emailAddress;
	}

	/**
	 * Set e-mail address.
	 *
	 * @param string|null $emailAddress E-mail address.
	 *
	 * @return self
	 */
	public function setEmailAddress( $emailAddress ) {
		$this->emailAddress = $emailAddress;

		return $this;
	}
}
