<?php
/**
 * Class ReturnParams
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * ReturnParams
 */
class ReturnParams implements ResultInterface {
	/**
	 * Array of ReturnParam.
	 *
	 * @var \ArrayObject|ReturnParam[]
	 */
	private $params;

	/**
	 * Count
	 *
	 * @var int
	 */
	private $count;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->params = new \ArrayObject();
		$this->count  = 0;
	}

	/**
	 * Get params.
	 *
	 * @return \ArrayObject
	 */
	public function getParams(): \ArrayObject {
		return $this->params;
	}

	/**
	 * Add Param.
	 *
	 * @param ReturnParam $param ReturnParam.
	 *
	 * @return ReturnParams
	 */
	public function addParam( ReturnParam $param ): self {
		$this->params->append( $param );

		return $this;
	}

	/**
	 * Remove Param.
	 *
	 * @param ReturnParam $param ReturnParam.
	 *
	 * @return ReturnParams
	 */
	public function removeParam( ReturnParam $param ): self {
		// TODO.

		return $this;
	}

	/**
	 * Get count.
	 *
	 * @return int
	 */
	public function getCount(): int {
		return $this->count;
	}

	/**
	 * Set count.
	 *
	 * @param int $count count.
	 * @return ReturnParams
	 */
	public function setCount( int $count ): self {
		$this->count = $count;

		return $this;
	}

}
