<?php
/**
 * Class ReturnShipments
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * ReturnShipments
 */
class ReturnShipments implements ResultInterface {
	/**
	 * Array of ReturnShipment.
	 *
	 * @var \ArrayObject|ReturnShipment[]
	 */
	private $items;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->items = new \ArrayObject();
	}

	/**
	 * Get items.
	 *
	 * @return \ArrayObject|ReturnShipment[]
	 */
	public function getItems(): \ArrayObject {
		return $this->items;
	}

	/**
	 * Add Item.
	 *
	 * @param ReturnShipment $item Item.
	 *
	 * @return Strings
	 */
	public function addItem( ReturnShipment $item ): self {
		$this->items->append( $item );

		return $this;
	}

	/**
	 * Remove Item.
	 *
	 * @param ReturnShipment $item Item.
	 *
	 * @return Strings
	 */
	public function removeItem( ReturnShipment $item ): self {
		// TODO.

		return $this;
	}
}
