<?php
/**
 * Class ScanToPrint
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * ScanToPrint
 */
class ScanToPrint implements ResultInterface {
	/**
	 * Binary data of image - scan.
	 *
	 * @var string
	 */
	private $scanData;

	/**
	 * Image MIME type.
	 *
	 * @var string
	 */
	private $scanMimeType;

	/**
	 * Get binary data of image - scan.
	 *
	 * @return string
	 */
	public function getScanData() {
		return $this->scanData;
	}

	/**
	 * Set binary data of image - scan.
	 *
	 * @param string $scanData Binary data of image - scan.
	 *
	 * @return self
	 */
	public function setScanData( string $scanData ) {
		$this->scanData = $scanData;

		return $this;
	}

	/**
	 * Get image MIME type
	 *
	 * @return string
	 */
	public function getScanMimeType() {
		return $this->scanMimeType;
	}

	/**
	 * Set image MIME type
	 *
	 * @param string $scanMimeType Image MIME type.
	 *
	 * @return self
	 */
	public function setScanMimeType( string $scanMimeType ) {
		$this->scanMimeType = $scanMimeType;

		return $this;
	}
}
