<?php
/**
 * Class ShipmentBasicDatas
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * ShipmentBasicDatas
 */
class ShipmentBasicDatas implements ResultInterface {
	/**
	 * Array of ShipmentBasicData.
	 *
	 * @var \ArrayObject|ShipmentBasicData[]
	 */
	private $shipments;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->shipments = new \ArrayObject();
	}

	/**
	 * Get shipments.
	 *
	 * @return \ArrayObject|ShipmentBasicData[]
	 */
	public function getShipments(): \ArrayObject {
		return $this->shipments;
	}

	/**
	 * Add Shipment.
	 *
	 * @param ShipmentBasicData $shipment ShipmentBasicData.
	 *
	 * @return ShipmentBasicDatas
	 */
	public function addShipment( ShipmentBasicData $shipment ): self {
		$this->shipments->append( $shipment );

		return $this;
	}

	/**
	 * Remove Shipment.
	 *
	 * @param ShipmentBasicData $shipment ShipmentBasicData.
	 *
	 * @return ShipmentBasicDatas
	 */
	public function removeShipment( ShipmentBasicData $shipment ): self {
		// TODO.

		return $this;
	}
}
