<?php
/**
 * Class ShipmentsCount
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * ShipmentsCount
 */
class ShipmentsCount implements ResultInterface {

	/**
	 * Number of shipments created in the provided time period.
	 *
	 * @var int
	 */
	private $shipmentsCount = 0;


	/**
	 * Get number of shipments created in the provided time period.
	 *
	 * @return  int
	 */
	public function getShipmentsCount() {
		return $this->shipmentsCount;
	}

	/**
	 * Set number of shipments created in the provided time period.
	 *
	 * @param  int $shipmentsCount  Number of shipments created in the provided time period.
	 *
	 * @return  self
	 */
	public function setShipmentsCount( int $shipmentsCount ) {
		$this->shipmentsCount = $shipmentsCount;

		return $this;
	}
}
