<?php
/**
 * Class TrackAndTraceEvent
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * TrackAndTraceEvent
 */
class TrackAndTraceEvent {
	/**
	 * Delivery stage.
	 *
	 * @var string|null
	 */
	private $status;

	/**
	 * Textual description of the status.
	 *
	 * @var string|null
	 */
	private $description;

	/**
	 * Date and time of creation of the status.
	 *
	 * @var string|null
	 */
	private $terminal;

	/**
	 * Name of the depot where the status occurred.
	 *
	 * @var string|null
	 */
	private $timestamp;

	/**
	 * Get delivery stage.
	 *
	 * @return string|null
	 */
	public function getStatus() {
		return $this->status;
	}

	/**
	 * Set delivery stage.
	 *
	 * @param string|null $status Delivery stage.
	 *
	 * @return self
	 */
	public function setStatus( $status ) {
		$this->status = $status;

		return $this;
	}

	/**
	 * Get textual description of the status.
	 *
	 * @return string|null
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * Set textual description of the status.
	 *
	 * @param string|null $description Textual description of the status.
	 *
	 * @return self
	 */
	public function setDescription( $description ) {
		$this->description = $description;

		return $this;
	}

	/**
	 * Get date and time of creation of the status.
	 *
	 * @return string|null
	 */
	public function getTerminal() {
		return $this->terminal;
	}

	/**
	 * Set date and time of creation of the status.
	 *
	 * @param string|null $terminal Date and time of creation of the status.
	 *
	 * @return self
	 */
	public function setTerminal( $terminal ) {
		$this->terminal = $terminal;

		return $this;
	}

	/**
	 * Get name of the depot where the status occurred.
	 *
	 * @return string|null
	 */
	public function getTimestamp() {
		return $this->timestamp;
	}

	/**
	 * Set name of the depot where the status occurred.
	 *
	 * @param string|null $timestamp Name of the depot where the status occurred.
	 *
	 * @return self
	 */
	public function setTimestamp( $timestamp ) {
		$this->timestamp = $timestamp;

		return $this;
	}
}
