<?php
/**
 * Abstract class AbstractException
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\Exception;

/**
 * AbstractException
 */
abstract class AbstractException extends \Exception {

	/**
	 * __construct
	 *
	 * @param  \Throwable  $previous Previous exception.
	 * @param  string|null $message $message.
	 * @return void
	 */
	public function __construct( \Throwable $previous = null, string $message = null ) {
		if ( null !== $message ) {
			$message = ' ' . $message;
		}

		$message = $this->getReason() . $message;

		parent::__construct( $message, 0, $previous );
	}

	/**
	 * Get reason
	 *
	 * @return string
	 */
	abstract protected function getReason(): string;
}
