<?php
/**
 * Default values.
 *
 * @package ILabs\WoocommerceDHL24
 */

declare(strict_types=1);
namespace ILabs\WoocommerceDHL24\Helper;

/**
 * Default values class
 *
 * @package ILabs\WoocommerceDHL24
 */
class Defaults {


	/**
	 * Value used in WP function get_option().
	 */
	const OPTION_NAME = 'woocommerce-dhl24';

	/**
	 * Admin menu slug.
	 */
	const ADMIN_PAGE = 'dhl24';

	/**
	 * Download parametrs.
	 */
	const DOWNLOAD_LABEL = 'dhl24_download_label';
	const DOWNLOAD_SCAN  = 'dhl24_download_scan';
	const LABEL_TYPE     = 'label_type';
	const SHIPMENT_TYPE  = 'shipment_type';

	const CURRENCY = 'zł';

	/**
	 * Get default values
	 *
	 * @return array
	 */
	public static function get_values(): array {
		return array(
			'webapi_wsdl'             => 'https://dhl24.com.pl/webapi2',
			'webapi_username'         => '',
			'servicepoint_wsdl'       => 'https://dhl24.com.pl/servicepoint',
			'servicepoint_username'   => '',
			'sap'                     => '',
			'name'                    => '',
			'country'                 => 'PL',
			'postal_code'             => '',
			'city'                    => '',
			'street'                  => '',
			'house_nmber'             => '',
			'apartment_number'        => '',
			'contact_person'          => '',
			'contact_phone'           => '',
			'contact_email'           => '',
			'piece_type'              => 'PACKAGE',
			'piece_width'             => '80',
			'piece_height'            => '60',
			'piece_length'            => '60',
			'piece_weight'            => '5',
			'piece_quantity'          => '1',
			'content'                 => 'Content',
			'comment'                 => '',
			'reference'               => '',
			'costs_center'            => '',
			'auto_create'             => 'no',
			'auto_order_courier'      => 'no',
			'shipment_start_hour'     => '8:00',
			'shipment_end_hour'       => '16:00',
			'label_type'              => 'BLP',
			'return_sap'              => '',
			'return_name'             => '',
			'return_country'          => 'PL',
			'return_postal_code'      => '',
			'return_city'             => '',
			'return_street'           => '',
			'return_house_nmber'      => '',
			'return_apartment_number' => '',
			'return_contact_person'   => '',
			'return_contact_phone'    => '',
			'return_contact_email'    => '',
			'return_auto_create'      => 'no',
			'return_order_courier'    => 'no',
			'return_label_exp'        => '14',
		);
	}
}
