<?php
/**
 * Parcels shipment confirmation page
 *
 * @package ILabs\WoocommerceDHL24
 * @var array $args {
 *   Array of arguments.
 *   @type string _nonce
 * }
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

do_action( 'dhl24_notices' );
?>
<div class="wrap">
	<h1 class="wp-heading-inline">
		<?php esc_html_e( 'Parcels shipment confirmation', 'woocommerce-dhl24' ); ?>
	</h1>
	<hr class="wp-header-end">
	<div class="clear"></div>
	<div class="container">
		<form id="dhl24Confimation" action="#" onsubmit="return false;">
			<input type="hidden" name="action" value="dhl24_shipment_confirmation">
			<input type="hidden" name="shipment_confirmation[_nonce]" value="<?php echo esc_attr( $args['_nonce'] ); ?>">
			<div class="row">
				<div class="col-2">
					<label for="dhl24_shipment_confirmation_date"><?php esc_html_e( 'Posting date', 'woocommerce-dhl24' ); ?></label>
				</div>
				<div class="col-8">
					<input id="dhl24_shipment_confirmation_date" type="text" name="shipment_confirmation[date]" value="<?php echo esc_attr( $args['date'] ); ?>" required="required">
				</div>
			</div>
			<div class="row">
				<div class="col-2">
					<label for="dhl24_shipment_confirmation_type"><?php esc_html_e( 'Type of shipments', 'woocommerce-dhl24' ); ?></label>
				</div>
				<div class="col-8">
					<select id="dhl24_shipment_confirmation_type" name="shipment_confirmation[type]" required="required">
						<?php foreach ( $args['types'] as $value => $name ) : ?>
						<option value="<?php echo esc_attr( $value ); ?>"><?php echo esc_html( $name ); ?></option>
						<?php endforeach; ?>
					</select>
				</div>
			</div>
			<div class="row">
				<div class="col-12">
					<button class="button btn" type="submit"><?php esc_html_e( 'Generate report', 'woocommerce-dhl24' ); ?></button>
				</div>
			</div>
		</form>
	</div>
</div>
