<?php
/**
 * Plugin Name: DHL24 for Woocommerce
 * Plugin URI: https://narzedzia.dhl.pl/pl/serwis/integracje
 * Description: DHL24 for Woocommerce - with free shipping method as serviceType = 'AH'
 * Product: DHL24 for Woocommerce
 * Version: 1.0
 * Author: iLabs
 * Author URI: https://ilabs.dev/
 * Text Domain: woocommerce-dhl24
 * Domain Path: /lang/
 *
 * @package \ILabs\WoocommerceDHL24
 * Copyright 2021 Inspire Labs sp z o.o.
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

$plugin_file = __FILE__;
$plugin_dir  = dirname( __FILE__ );

define(
	'DHL24_PLUGIN_URL',
	plugin_dir_url( __FILE__ )
);

const DHL24_PLUGIN_DIR = __DIR__;
// for translation
add_action( 'plugins_loaded', function () {
	load_plugin_textdomain( 'woocommerce-dhl24', false, basename( dirname( __FILE__ ) ) . '/lang/' );
} );

// Code in PHP >= 5.3 but understandable by older parsers.
if ( \PHP_VERSION_ID > 50300 ) {
	require_once $plugin_dir . '/vendor/autoload.php';
	$plugin_class = new \ILabs\WoocommerceDHL24\Plugin( $plugin_file );

	$plugin_class->init();
} else {
	/**
	 * Old php
	 *
	 * @noinspection PhpDeprecationInspection
	 */
    // phpcs:disable
    $php52_function = \create_function('', 'echo sprintf( __("<p><strong style=\'color: red;\'>PHP version is older than 5.3 so this plugin will not work. Please contact your host and ask them to upgrade. </strong></p>") );');
    \add_action('admin_notices', $php52_function);
    // phpcs:enable
}
